<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_stats_defs::stats_group_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesd__stats__defs.html">sd_stats_defs</a></li><li class="navelem"><a class="el" href="structsd__stats__defs_1_1stats__group__t.html">stats_group_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structsd__stats__defs_1_1stats__group__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">sd_stats_defs::stats_group_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for sd_stats_defs::stats_group_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structsd__stats__defs_1_1stats__group__t__coll__graph.png" border="0" usemap="#sd__stats__defs_1_1stats__group__t_coll__map" alt="Collaboration graph"/></div>
<map name="sd__stats__defs_1_1stats__group__t_coll__map" id="sd__stats__defs_1_1stats__group__t_coll__map">
<area shape="rect" id="node2" href="structsd__stats__defs_1_1stats__xx__item__t.html" title="{sd_stats_defs::stats\l_xx_item_t\n|+ type\l+ data_kind\l+ symbol_op\l+ name_var\l+ name_var2\l+ use_rms\l|}" alt="" coords="5,5,147,171"/>
<area shape="rect" id="node3" href="structsd__stats__defs_1_1stats__group__info__t.html" title="{sd_stats_defs::stats\l_group_info_t\n|+ name\l+ suffix\l+ spatial_dir\l+ space_only\l|}" alt="" coords="232,20,373,156"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa85b9e0a8f600028ba7fd5617a145276"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__stats__defs_1_1stats__group__info__t.html">stats_group_info_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__stats__defs_1_1stats__group__t.html#aa85b9e0a8f600028ba7fd5617a145276">info</a> =&gt; null()</td></tr>
<tr class="separator:aa85b9e0a8f600028ba7fd5617a145276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed46f152a5c2652b1f44daa784035975"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__stats__defs_1_1stats__xx__item__t.html">stats_xx_item_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__stats__defs_1_1stats__group__t.html#aed46f152a5c2652b1f44daa784035975">first_xx_item</a> =&gt; null()</td></tr>
<tr class="separator:aed46f152a5c2652b1f44daa784035975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa274b5964068a2b362e97a0c49f12e82"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__stats__defs_1_1stats__group__t.html">stats_group_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__stats__defs_1_1stats__group__t.html#aa274b5964068a2b362e97a0c49f12e82">next</a> =&gt; null()</td></tr>
<tr class="separator:aa274b5964068a2b362e97a0c49f12e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aed46f152a5c2652b1f44daa784035975"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed46f152a5c2652b1f44daa784035975">&#9670;&nbsp;</a></span>first_xx_item</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__stats__defs_1_1stats__xx__item__t.html">stats_xx_item_t</a>), pointer sd_stats_defs::stats_group_t::first_xx_item =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa85b9e0a8f600028ba7fd5617a145276"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa85b9e0a8f600028ba7fd5617a145276">&#9670;&nbsp;</a></span>info</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__stats__defs_1_1stats__group__info__t.html">stats_group_info_t</a>), pointer sd_stats_defs::stats_group_t::info =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa274b5964068a2b362e97a0c49f12e82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa274b5964068a2b362e97a0c49f12e82">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__stats__defs_1_1stats__group__t.html">stats_group_t</a>), pointer sd_stats_defs::stats_group_t::next =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="sd__stats__defs_8f90.html">sd_stats_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
